document.addEventListener('DOMContentLoaded', () => {
    const loginBtn = document.getElementById('login-btn');
    const registerBtn = document.getElementById('register-btn');
    const loginModal = document.getElementById('login-modal');
    const registerModal = document.getElementById('register-modal');
    const loginForm = document.getElementById('login-form');
    const registerForm = document.getElementById('register-form');
    const stravaConnectBtn = document.getElementById('strava-connect-btn');
    
    function toggleModal(modal) {
        modal.style.display = modal.style.display === 'flex' ? 'none' : 'flex';
    }
    
    loginBtn.addEventListener('click', () => toggleModal(loginModal));
    registerBtn.addEventListener('click', () => toggleModal(registerModal));
    
    window.addEventListener('click', (e) => {
        if (e.target === loginModal || e.target === registerModal) {
            loginModal.style.display = 'none';
            registerModal.style.display = 'none';
        }
    });
    
    loginForm.addEventListener('submit', (e) => {
        e.preventDefault();
        const email = loginForm.querySelector('[type="email"]').value;
        const password = loginForm.querySelector('[type="password"]').value;
        
        // Simulate login
        console.log('Login attempt:', { email, password });
        toggleModal(loginModal);
        document.querySelector('.welcome-section').classList.add('hidden');
        document.querySelector('.features').classList.remove('hidden');
    });
    
    registerForm.addEventListener('submit', (e) => {
        e.preventDefault();
        const name = registerForm.querySelector('[type="text"]').value;
        const email = registerForm.querySelector('[type="email"]').value;
        const password = registerForm.querySelector('[type="password"]').value;
        
        // Simulate registration
        console.log('Registration:', { name, email, password });
        toggleModal(registerModal);
        document.querySelector('.welcome-section').classList.add('hidden');
        document.querySelector('.features').classList.remove('hidden');
    });
    
    stravaConnectBtn.addEventListener('click', () => {
        // Simulate Strava OAuth flow
        alert('Redirecting to Strava for authorization...');
    });
});